Package oracle.nosql.driver

## Class Region

- java.lang.Object
- - oracle.nosql.driver.Region

-     public class Region
      extends Object

  Cloud service only.

  The class contains the regions in the Oracle Cloud Infrastructure at the time of this release. The Oracle NoSQL Database Cloud Service is not available in all of these regions. For a definitive list of regions in which the Oracle NoSQL Database Cloud Service is available see Data Regions for Platform and Infrastructure Services.

  A Region may be provided to `NoSQLHandleConfig(Region,AuthorizationProvider)` to configure a handle to communicate in a specific Region.

  The string-based endpoints associated with regions for the Oracle NoSQL Database Cloud Service are of the format

          https://nosql.{region}.oci.{secondLevelDomain}

  Examples of known second level domains include:
  - oraclecloud.com
  - oraclegovcloud.com
  - oraclegovcloud.uk
  For example, this is a valid endpoint for the Oracle NoSQL Database Cloud Service in the U.S. East region

          nosql.us-ashburn-1.oci.oraclecloud.com

  If the Oracle NoSQL Database Cloud Service becomes available in a region not listed here it is possible to connect to that region using the endpoint and `NoSQLHandleConfig(String,AuthorizationProvider)`

  For more information about Oracle Cloud Infrastructure regions see Regions and Availability Domains.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Region` | `AF_JOHANNESBURG_1` |
    `static Region` | `AP_CHIYODA_1` |
    `static Region` | `AP_CHUNCHEON_1` |
    `static Region` | `AP_DCC_CANBERRA_1` |
    `static Region` | `AP_HYDERABAD_1` |
    `static Region` | `AP_IBARAKI_1` |
    `static Region` | `AP_MELBOURNE_1` |
    `static Region` | `AP_MUMBAI_1` |
    `static Region` | `AP_OSAKA_1` |
    `static Region` | `AP_SEOUL_1` |
    `static Region` | `AP_SINGAPORE_1` |
    `static Region` | `AP_SYDNEY_1` |
    `static Region` | `AP_TOKYO_1` |
    `static Region` | `CA_MONTREAL_1` |
    `static Region` | `CA_TORONTO_1` |
    `static Region` | `EU_AMSTERDAM_1` |
    `static Region` | `EU_FRANKFURT_1` |
    `static Region` | `EU_MARSEILLE_1` |
    `static Region` | `EU_MILAN_1` |
    `static Region` | `EU_STOCKHOLM_1` |
    `static Region` | `EU_ZURICH_1` |
    `static Region` | `IL_JERUSALEM_1` |
    `static Region` | `ME_ABUDHABI_1` |
    `static Region` | `ME_DCC_MUSCAT_1` |
    `static Region` | `ME_DUBAI_1` |
    `static Region` | `ME_JEDDAH_1` |
    `static Region` | `SA_SANTIAGO_1` |
    `static Region` | `SA_SAOPAULO_1` |
    `static Region` | `SA_VINHEDO_1` |
    `static Region` | `UK_CARDIFF_1` |
    `static Region` | `UK_GOV_CARDIFF_1` |
    `static Region` | `UK_GOV_LONDON_1` |
    `static Region` | `UK_LONDON_1` |
    `static Region` | `US_ASHBURN_1` |
    `static Region` | `US_GOV_ASHBURN_1` |
    `static Region` | `US_GOV_CHICAGO_1` |
    `static Region` | `US_GOV_PHOENIX_1` |
    `static Region` | `US_LANGLEY_1` |
    `static Region` | `US_LUKE_1` |
    `static Region` | `US_PHOENIX_1` |
    `static Region` | `US_SANJOSE_1` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `endpoint()` | Returns the NoSQL Database Cloud Service Endpoint for this region.
    `static Region` | `fromRegionId​(String regionId)` | Returns the Region associated with the string value supplied, or null if the string does not represent a known region.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AF_JOHANNESBURG_1

          public static final Region AF_JOHANNESBURG_1

    - #### AP_CHUNCHEON_1

          public static final Region AP_CHUNCHEON_1

    - #### AP_HYDERABAD_1

          public static final Region AP_HYDERABAD_1

    - #### AP_MELBOURNE_1

          public static final Region AP_MELBOURNE_1

    - #### AP_MUMBAI_1

          public static final Region AP_MUMBAI_1

    - #### AP_OSAKA_1

          public static final Region AP_OSAKA_1

    - #### AP_SINGAPORE_1

          public static final Region AP_SINGAPORE_1

    - #### AP_SEOUL_1

          public static final Region AP_SEOUL_1

    - #### AP_SYDNEY_1

          public static final Region AP_SYDNEY_1

    - #### AP_TOKYO_1

          public static final Region AP_TOKYO_1

    - #### UK_CARDIFF_1

          public static final Region UK_CARDIFF_1

    - #### UK_LONDON_1

          public static final Region UK_LONDON_1

    - #### EU_AMSTERDAM_1

          public static final Region EU_AMSTERDAM_1

    - #### EU_FRANKFURT_1

          public static final Region EU_FRANKFURT_1

    - #### EU_MARSEILLE_1

          public static final Region EU_MARSEILLE_1

    - #### EU_MILAN_1

          public static final Region EU_MILAN_1

    - #### EU_STOCKHOLM_1

          public static final Region EU_STOCKHOLM_1

    - #### EU_ZURICH_1

          public static final Region EU_ZURICH_1

    - #### ME_ABUDHABI_1

          public static final Region ME_ABUDHABI_1

    - #### ME_DUBAI_1

          public static final Region ME_DUBAI_1

    - #### ME_JEDDAH_1

          public static final Region ME_JEDDAH_1

    - #### IL_JERUSALEM_1

          public static final Region IL_JERUSALEM_1

    - #### US_ASHBURN_1

          public static final Region US_ASHBURN_1

    - #### US_PHOENIX_1

          public static final Region US_PHOENIX_1

    - #### US_SANJOSE_1

          public static final Region US_SANJOSE_1

    - #### CA_MONTREAL_1

          public static final Region CA_MONTREAL_1

    - #### CA_TORONTO_1

          public static final Region CA_TORONTO_1

    - #### SA_SAOPAULO_1

          public static final Region SA_SAOPAULO_1

    - #### SA_SANTIAGO_1

          public static final Region SA_SANTIAGO_1

    - #### SA_VINHEDO_1

          public static final Region SA_VINHEDO_1

    - #### US_LANGLEY_1

          public static final Region US_LANGLEY_1

    - #### US_LUKE_1

          public static final Region US_LUKE_1

    - #### US_GOV_ASHBURN_1

          public static final Region US_GOV_ASHBURN_1

    - #### US_GOV_CHICAGO_1

          public static final Region US_GOV_CHICAGO_1

    - #### US_GOV_PHOENIX_1

          public static final Region US_GOV_PHOENIX_1

    - #### UK_GOV_LONDON_1

          public static final Region UK_GOV_LONDON_1

    - #### UK_GOV_CARDIFF_1

          public static final Region UK_GOV_CARDIFF_1

    - #### AP_CHIYODA_1

          public static final Region AP_CHIYODA_1

    - #### AP_IBARAKI_1

          public static final Region AP_IBARAKI_1

    - #### ME_DCC_MUSCAT_1

          public static final Region ME_DCC_MUSCAT_1

    - #### AP_DCC_CANBERRA_1

          public static final Region AP_DCC_CANBERRA_1

  - ### Method Detail

    - #### endpoint

          public String endpoint()

      Returns the NoSQL Database Cloud Service Endpoint for this region.
      Returns:
        NoSQL Database Cloud Service Endpoint

    - #### fromRegionId

          public static Region fromRegionId​(String regionId)

      Returns the Region associated with the string value supplied, or null if the string does not represent a known region.
      Parameters:
        `regionId` - the string value of the region
      Returns:
        the Region or null if the string does not represent a Region.